- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# FbxGeometryWeightedMap Class Reference

Search for all occurrences

## Detailed Description

This class provides the structure to build a correspondence between 2 geometries.

This correspondence is done at the vertex level. Which means that for each vertex in the source geometry, you can have from 0 to N corresponding vertices in the destination geometry. Each corresponding vertex is weighted.

For example, if the source geometry is a NURB and the destination geometry is a mesh, the correspondence object will express the correspondence between the NURB's control vertices and the mesh's vertices.

If the mesh corresponds to a tesselation of the NURB, the correspondence object can be used to transfer any deformation that affect the NURB's control vertices to the mesh's vertices.

See FbxWeightedMapping for more details.

Definition at line 43 of file fbxgeometryweightedmap.h.

`#include <fbxgeometryweightedmap.h>`

Inheritance diagram for FbxGeometryWeightedMap:
[legend]

List of all members.

## Public Member Functions
FbxWeightedMapping * | SetValues (FbxWeightedMapping *pWeightedMappingTable)
| Set correspondence values.
FbxWeightedMapping * | GetValues () const
| Return correspondence values.
FbxGeometry * | GetSourceGeometry ()
| Return source geometry.
FbxGeometry * | GetDestinationGeometry ()
| Return destination geometry.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
## Protected Member Functions
| FbxGeometryWeightedMap (FbxManager &pManager, char const *pName)
virtual void | Destruct (bool pRecursive, bool pDependents)
## Protected Attributes
FbxWeightedMapping * | mWeightedMapping
## Friends
class | FbxGeometry
## Error Management
enum | EErrorCode { eError, eErrorCount }
| Error identifiers. More...
FbxError & | GetError ()
| Retrieve error object.
EErrorCode | GetLastErrorID () const
| Get last error code.
const char * | GetLastErrorString () const
| Get last error string.

## Member Enumeration Documentation

enum EErrorCode

Search for all occurrences

Error identifiers.

Enumerator:

  eError | Error identifiers. Search for all occurrences
  eErrorCount | Mark the end of the error enum. Search for all occurrences

Definition at line 59 of file fbxgeometryweightedmap.h.

        {
            eError,
            eErrorCount
        };

## Constructor & Destructor Documentation

FbxGeometryWeightedMap | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

FbxError& GetError | ( |  | ) |

Search for all occurrences

Retrieve error object.

Returns:
  Reference to error object.

EErrorCode GetLastErrorID | ( |  | ) | const

Search for all occurrences

Get last error code.

Returns:
  Last error code.

const char* GetLastErrorString | ( |  | ) | const

Search for all occurrences

Get last error string.

Returns:
  Textual description of the last error.

FbxWeightedMapping* SetValues | ( | FbxWeightedMapping * | pWeightedMappingTable | ) |

Search for all occurrences

Set correspondence values.

Parameters:

  pWeightedMappingTable | Pointer to the table containing values

Returns:
  Pointer to previous correspondence values table.

FbxWeightedMapping* GetValues | ( |  | ) | const

Search for all occurrences

Return correspondence values.

Returns:
  Pointer to the correspondence values table.

FbxGeometry* GetSourceGeometry | ( |  | ) |

Search for all occurrences

Return source geometry.

Returns:
  Pointer to the source geometry, or `NULL` if there is no connected source geometry

FbxGeometry* GetDestinationGeometry | ( |  | ) |

Search for all occurrences

Return destination geometry.

Returns:
  Pointer to the destination geometry, or `NULL` if there is no connected destination geometry

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

virtual void Destruct | ( | bool | pRecursive,
|  | bool | pDependents
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Friends And Related Function Documentation

friend class FbxGeometry `[friend]`

Search for all occurrences

Definition at line 121 of file fbxgeometryweightedmap.h.

## Member Data Documentation

FbxWeightedMapping* mWeightedMapping `[protected]`

Search for all occurrences

Definition at line 115 of file fbxgeometryweightedmap.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxgeometryweightedmap.h

FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap
FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap FbxGeometryWeightedMap